Subject: Re: [PATCH] i2c-qoriq: modified compatibility for correct prescaler

From: Wolfram Sang <[email-masked]>
Date: Tue, 23 Dec 2014 14:49:40 +0100

On Tue, Dec 23, 2014 at 02:23:01PM +0100, Valentin Longchamp wrote:
> Wolfgang, Scott,

Wolfram, please.

> > What is then the agreement here ? Add a clock-div to the device trees ? Or do
> > something similar to  mpc_i2c_get_sec_cfg_8xxx() ?
> > 
> > I think the clock-div property is better according to Freescale's AN 2919
> > section 3.1 Source clock. All the source clocks are fixed (with a clock-div of 2
> > in case of mpc8536/43/45/47/48/67/68/72, plus p2020) except for the mpc8533/44
> > where it can be 2 or 3, and that's what mpc_i2c_get_sec_cfg_8xxx() determines.
> > 
> > So mpc_i2c_get_sec_cfg_8xxx() should remain the exception and the other
> > prescaler values should be derived from an additional clock-div that must be
> > added in the respective device trees (at least for the qoriq devices, because
> > for instance mpc8543 already has the correct prescaler thanks to
> > mpc_i2c_data_8543 from i2c-mpc.c).
> > 
> 
> Do you have an opinion on the above ?

I don't mind. I'll leave it to PowerPC experts to judge if a new binding
is apropriate or reading SVR is the way to go. If it is going to be a
new binding, then please look around before if there is already
something similar around...